Emscripten straight up doesn't work with Python 3, right?

Trying to update emscripten, get

Traceback (most recent call last):
  File "./emsdk", line 1797, in <module>
    sys.exit(main())
  File "./emsdk", line 1496, in main
    load_sdk_manifest()
  File "./emsdk", line 1291, in load_sdk_manifest
    for p, v in vars(t2).iteritems():
AttributeError: 'dict' object has no attribute 'iteritems'

which I’m told is a Python 2/3 problem. Buuuuut seeing as how the latest version of Python is 3, is Emscripten gonna get an update? Anybody got a binary by chance?

@prismspecs Hi, have you found any solution to this? I am having the same problem.

Cheers

I eventually used anaconda source activate py2_env